package com.zhentao.moment.controller;

import com.zhentao.moment.dto.CommentsDto;
import com.zhentao.moment.dto.MonmentDto;
import com.zhentao.moment.service.UserMomentsService;
import com.zhentao.tool.TokenUtils;
import com.zhentao.vo.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

@RestController
@RequestMapping("monment")
public class MonmentController {
    @Autowired
    private UserMomentsService userMomentsService;
//    发布朋友圈
    @RequestMapping("sendMonment")
    public Result sendMonment(@RequestHeader String  token,@ModelAttribute MonmentDto monmentDto){
        return userMomentsService.sendMonment(token,monmentDto);
    }
//    朋友圈的个人信息
    @RequestMapping("userinfo")
    public Result userinfo(@RequestHeader String token){
        return Result.OK(userMomentsService.userinfo(token),"查询成功");
    }

//    删除朋友圈
    @RequestMapping("deleteMonment")
    public Result deleteMonment(@RequestHeader String token,@RequestBody MonmentDto monmentDto){
        String uid = TokenUtils.getUserIdFromToken(token);
        monmentDto.setUid(Long.valueOf(uid));
        return userMomentsService.deleteMonment(token,monmentDto);
    }
//    查看我的朋友圈
    @RequestMapping("getMyMonment")
    public Result getMyMonment(@RequestHeader String token){
        String uid = TokenUtils.getUserIdFromToken(token);
        return Result.OK(userMomentsService.getMyMonment(Long.valueOf(uid)),"查询成功");
    }
//    查看好友的朋友圈
    @RequestMapping("getFriendMonment")
    public Result getFriendMonment(@RequestHeader String token){
        String uid = TokenUtils.getUserIdFromToken(token);
        return Result.OK(userMomentsService.getFriendMonment(Long.valueOf(uid)),"查询成功");
    }
//    点赞接口
    @RequestMapping("likeMonment")
    public Result likeMonment(@RequestHeader String token,@RequestBody MonmentDto monmentDto){
        String uid = TokenUtils.getUserIdFromToken(token);
        monmentDto.setUid(Long.valueOf(uid));
        return userMomentsService.likeMonment(Long.valueOf(uid),monmentDto);
    }
    //  评论朋友圈
    @RequestMapping("commentMonment")
    public Result commentMonment(@RequestHeader String token, @RequestBody CommentsDto commentsDto){
        String uid = TokenUtils.getUserIdFromToken(token);
        commentsDto.setUserId(Long.valueOf(uid));
        return userMomentsService.commentsMonment(Long.valueOf(uid),commentsDto);
    }
    //  查询点赞列表
    @RequestMapping("likeList")
    public Result likeList(@RequestHeader String token,@RequestBody MonmentDto monmentDto){
        String uid = TokenUtils.getUserIdFromToken(token);
        monmentDto.setUid(Long.valueOf(uid));
        return userMomentsService.likeList(Long.valueOf(uid),monmentDto);
    }
    //  查询评论列表
    @RequestMapping("commentList")
    public Result commentList(@RequestHeader String token,@RequestBody CommentsDto commentsDto){
        String uid = TokenUtils.getUserIdFromToken(token);
        commentsDto.setUserId(Long.valueOf(uid));
        return userMomentsService.commentList(Long.valueOf(uid),commentsDto);
    }
//    更改朋友圈背景图
    @RequestMapping("updateBackground")
    public Result updateBackground(@RequestHeader String token,@RequestParam("file") MultipartFile file){
        String uid = TokenUtils.getUserIdFromToken(token);
        return userMomentsService.updateBackground(Long.valueOf(uid),file);
    }
}
