package com.zhentao.moment.service;

import com.zhentao.moment.domain.UserMoments;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhentao.moment.dto.CommentsDto;
import com.zhentao.moment.dto.MonmentDto;
import com.zhentao.vo.Result;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
* @author 86159
* @description 针对表【user_moments(朋友圈动态表)】的数据库操作Service
* @createDate 2025-06-04 11:56:59
*/
public interface UserMomentsService extends IService<UserMoments> {
    //  发布朋友圈
    Result sendMonment(String  token,MonmentDto monmentDto);
    //  删除朋友圈
    Result deleteMonment(String token,MonmentDto monmentDto);
    //  获取用户信息
    Result userinfo(String token);
    //  查看我的朋友圈
    Result getMyMonment(Long userId);
    //  查看好友的朋友圈
    Result getFriendMonment(Long userId);
   //   点赞朋友圈
    Result likeMonment(Long uid, MonmentDto monmentDto);
    //  评论朋友圈
    Result commentsMonment(Long userId, CommentsDto commentsDto);
    //  查询点赞列表
    Result likeList(Long uid, MonmentDto monmentDto);
    //  查询评论列表
    Result commentList(Long valueOf, CommentsDto commentsDto);
    //    更改朋友圈背景图
    Result updateBackground(Long valueOf, MultipartFile file);
}
